package main

import "time"

type pageData struct {
	ToDos    []toDo
	Absolute string
	File     string

	ID         string    `yaml:"ID"`
	Type       string    `yaml:"Type"` // Display, Functional, Performance, Printing, Report, Testing and Validate
	Title      string    `yaml:"Title"`
	Alias      []string  `yaml:"Alias"`
	Keywords   []string  `yaml:"Keywords"`
	Author     string    `yaml:"Author"`
	Status     string    `yaml:"Status"`
	Complexity string    `yaml:"Complexity"`
	Difficulty string    `yaml:"Difficulty"` // Low, Medium, High
	Priority   string    `yaml:"Priority"`   // Low, Medium, High
	Version    string    `yaml:"Version"`
	Milestone  string    `yaml:"Milestone"`
	Created    time.Time `yaml:"Created"`
	LastUpdate time.Time `yaml:"Last Update"`
	Items      []Item    `yaml:"items"`
}
